<?php

namespace domain\User\UserMessage;

use domain\_\AbstractModule;

class UserMessageModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            UserMessageDefinition::class,
            UserMessageBuilder::class,
            UserMessageRepository::class,
            UserMessageManager::class
        ];
    }

    public function getDefinition(): UserMessageDefinition
    {
        return UserMessageDefinition::getInstance();
    }

    public function getBuilder(): UserMessageBuilder
    {
        return UserMessageBuilder::getInstance();
    }

    public function getRepository(): UserMessageRepository
    {
        return UserMessageRepository::getInstance();
    }

    public function getManager(): UserMessageManager
    {
        return UserMessageManager::getInstance();
    }
}